Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class CreateDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.commons.metaclass.CreateDynamicMethod

    public class CreateDynamicMethod
    extends AbstractStaticMethodInvocation

A dynamic static method that is a factory method for creating new instances. eg. Account.create()

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `METHOD_NAME`

Constructor Summary
`CreateDynamicMethod()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)`

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Field Detail

### METHOD_NAME

    public static final java.lang.String METHOD_NAME

Constructor Detail

### CreateDynamicMethod

    public CreateDynamicMethod()

Method Detail

### invoke

    @SuppressWarnings("rawtypes")
    @Override
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)

Groovy Documentation